function [V,P1,P2,P3,P4]=MixQtrR2(infA,supA,Aq,infb,supb,bq,relations)
%
%  MixQtrR2    
%       A x relations b, 
%   A -  ,   m   2 ;
%   b -    m;
%      ""  -  .
%
%  : 
% infA, supA -      A -  ;
% Aq -    'A'  'E' (   ),
%            
%         ;
%     infA, supA  Aq      A 
%   (m   2 );
% infb, supb -      b -    m;
% bq -   m   'A'  'E' (    Aq);
% relations -   m   '=', '>', '<',   
%       "", "  "  "  " .
%
%  :
% V -  (     );
% Pk -      k , Pk 
%               k,
%        ,   ,    
%          k   .
%
% :    (  , )
% :  03/04/2013

    %     [uC,oC] x \subseteq [ud,od]
    %   
    m=size(infA,1);
    uC=infA; 
    oC=supA;
    Aqe=[Aq==ones(m,2)*'E'];
    uC(Aqe)=supA(Aqe);
    oC(Aqe)=infA(Aqe);
    ud=infb; 
    od=supb; 
    bqa=[bq==ones(m,1)*'A'];
    ud(bqa)=supb(bqa);
    od(bqa)=infb(bqa);
    relLE=[relations==ones(m,1)*'<'];
    ud(relLE)=-Inf;
    relGE=[relations==ones(m,1)*'>'];
    od(relGE)=Inf;

    %     [uC,oC] x \subseteq [ud,od]
    % ,  ,  V  Pk (k=1,2,3,4)
    if nargout < 1
        CxindR2(uC,oC,ud,od);
    end
    if nargout == 1
        [V]=CxindR2(uC,oC,ud,od);
    end
    if nargout > 1
        [V,P1,P2,P3,P4]=CxindR2(uC,oC,ud,od);
    end

end
