function [V,P1,P2,P3,P4]=MixWeakR2(infA,supA,infb,supb,relations)
%
%  MixWeakR2     
% (  ,   )
%       A x relations b, 
%   A -  ,   m   2 ;
%   b -    m.
%
%  :
% infA, supA -      A -  ;
%     infA  supA      A (m   2 );
% infb, supb -      b -    m;
% relations -   m   '=', '>', '<',   
%    "", "  "  "  " .
%
%  :
% V -  (     );
% Pk -      k , Pk 
%            k,
%     ,   ,    
%       k   .


    %     [uC,oC] x \subseteq [ud,od]
    %   
    uC=supA;
    oC=infA;
    ud=infb;
    od=supb;
    m=size(infb,1);
    relLE=[relations==ones(m,1)*'<'];
    ud(relLE)=-Inf;
    relGE=[relations==ones(m,1)*'>'];
    od(relGE)=Inf;

    %     [uC,oC] x \subseteq [ud,od]
    % ,  ,  V  Pk (k=1,2,3,4)
    if nargout < 1
        CxindR2(uC,oC,ud,od);
    end
    if nargout == 1
        [V]=CxindR2(uC,oC,ud,od);
    end
    if nargout > 1
        [V,P1,P2,P3,P4]=CxindR2(uC,oC,ud,od);
    end
end
