function [V,P1,P2,P3,P4]=Abs2R2(A,B,c,d)
%
%  Abs2R2    
%     |Ax-c| <= B|x|+d, 
%   A,B -  ,   m   2 ;
%   c,d -    m.
%
%  :
% V -  (     );
% Pk -      k , Pk 
%            k,
%     ,   ,    
%       k   .
%
% :    (  , )
% :  12/12/2013

    %     [uC,oC] x \subseteq [ud,od]
    %   
    uC=A+B;
    oC=A-B;
    ud=c-d;
    od=c+d;

    %     [uC,oC] x \subseteq [ud,od]
    % ,  ,  V  Pk (k=1,2,3,4)
    if nargout < 1
        CxindR2(uC,oC,ud,od);
    end
    if nargout == 1
        [V]=CxindR2(uC,oC,ud,od);
    end
    if nargout > 1
        [V,P1,P2,P3,P4]=CxindR2(uC,oC,ud,od);
    end
end
