function [W]=DrawingBox(V)
%
%  DrawingBox    W,  
%      -   V.

%%      - ,  - .

   %     V

   ihV=[min(V(:,1)) min(V(:,2)); max(V(:,1)) max(V(:,2))];
   center=[(ihV(1,1)+ihV(2,1))/2 (ihV(1,2)+ihV(2,2))/2];
   radius=[(ihV(2,1)-ihV(1,1))/2 (ihV(2,2)-ihV(1,2))/2];
   rm=max(radius);

   %    W     
   %          

   if isequal(ihV(1,:),ihV(2,:))   %   
      W=[center(1)-1 center(2)-1; center(1)+1 center(2)+1];
   elseif all(ihV(1,:)<ihV(2,:))   %   
      W=ihV+.2*[-radius; radius];
   else                            %   
      W=[center(1)-1.2*rm  center(2)-1.2*rm ; center(1)+1.2*rm  center(2)+1.2*rm];
   end

end